﻿using System;
using System.ComponentModel;

namespace SFRtbAdvV17
{
    public class ViewModel : INotifyPropertyChanged
    {

        private string text;
        private string html;
        private string rtf;

        public string Text { get { return text; } set { text = value; OnPropertyChanged("Text"); } }
        public string Html { get { return html; } set { html = value; OnPropertyChanged("Html"); } }
        public string Rtf { get { return rtf; } set { rtf = value; OnPropertyChanged("Rtf"); } }


        public event PropertyChangedEventHandler PropertyChanged;

        //make it protected, so it is accessible from Child classes
        protected void OnPropertyChanged(String info)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(info));
        }
    }
}
